%global srcname ansible_pacemaker
%define upstream_version 1.0.3
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           ansible-pacemaker
Version: 1.0.4
Release: 2%{?dist}
Summary:        Ansible modules for managing Pacemaker clusters

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://github.com/redhat-openstack/ansible-pacemaker
Source0:        https://github.com/redhat-openstack/ansible-pacemaker/archive/refs/tags/%{upstream_version}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=1.0.3
Patch0001: 0001-Ensure-a-resource-is-deleted-after-a-successful-acti.patch
Patch0002: 0002-Change-small-nits-in-the-pacemaker_is_active-module.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python-d2to1
BuildRequires:  python2-pbr

Requires: ansible
Requires: python-lxml

%description

Ansible-pacemaker is a set of Ansible modules for a Pacemaker cluster, nodes
and resources.

%prep
%autosetup -n %{name}-%{upstream_version} -S git


%build
%py2_build


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%py2_install


%files
%doc README*
%license LICENSE
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info
%{_datadir}/ansible-modules/


%changelog
* Thu Apr 08 2021 Sofer Athlan-Guyot <sathlang@redhat.com> 1.0.4-2
- Change small nits in the pacemaker_is_active module. (rhbz#1721372)
- Ensure a resource is deleted after a successful action

